using System.Text.Json.Serialization;
using Swashbuckle.AspNetCore.Annotations;

public class DecryptedPersonalData
{
    public DecryptedPersonalData(DecryptedData decryptedData, PersonalData encryptedData) 
    { 
        this.decryptedData = decryptedData;
        this.encryptedData = encryptedData;
    }

    public DecryptedData decryptedData { get; set; }
    public PersonalData encryptedData { get; set; }
    public class DecryptedData
    {
        [JsonPropertyName("decryptedName")]
        public string? decryptedName { get; set; }
        [JsonPropertyName("decryptedBirthdate")]
        public string? decryptedBirthdate { get; set; }
        [SwaggerSchema(Format = "byte", Description = "Base64 encoded photo")]
        public string? decryptedPhoto { get; set; }
    }
}